use nihility_listener::utils::fbank::{OnlineFbank, OnlineFbankConfig};

#[tokio::test]
async fn test_fbank() {
    let config = OnlineFbankConfig::default();
    let mut fbank = OnlineFbank::init(config);
    fbank.accept_waveform(vec![0.0; 16000 * 10]);
    let features = fbank.process_all();
    println!("frame num: {}", features.len());
}